function [obj] = RHS(distrib,C,inflation,Mhigh,Mlow)
% for theta=1

distrib.Xi      =C*inflation*distrib.Zi;
distrib.logXi   =log(distrib.Xi);
logXi1          =distrib.logXi(distrib.logXi<-log(Mhigh));
logXi3          =distrib.logXi(distrib.logXi>-log(Mlow));
if isempty(logXi1)
    term1       =0;
else
    P1          =length(logXi1)/length(distrib.Xi);
    term1       =(log(Mhigh)+mean(logXi1))*P1;
end
if isempty(logXi3)
    term3       =0;
else
    P3          =length(logXi3)/length(distrib.Xi);
    term3       =(log(Mlow)+mean(logXi3))*P3;
end

obj             =term1+term3;

end

