function [Pnext] = bestresponse(P,C,param)

Mhigh =M(param.theta+param.alpha*(1-param.lambda));
Mlow  =M(param.theta+param.alpha);

if P < Mlow*C
    Pnext = Mlow*C;
else
if P <= Mhigh*C
    Pnext = P;
else % P > Mhigh*C
    equation = @(Pk)-(1-C/Pk)*(param.theta*((1-param.lambda)*(2-(Pk/P)^param.alpha)+param.lambda)+param.alpha*(1-param.lambda)*(Pk/P)^param.alpha)+(1-param.lambda)*(2-(Pk/P)^param.alpha)+param.lambda;
    Pnext    =fzero(equation,P);
end
end
end


