function [Pi,xi] = simulationi(Xi,q,Pi0)
%simulationi

T                      =length(Xi);
Pi                     =zeros(T,1);
xi                     =zeros(T,1);

xi(1)                  =Xi(1)/Pi0;
Pi(1)                  =Pi0*q(xi(1));
for t=2:T
xi(t)                  =Xi(t)/Pi(t-1);
Pi(t)                  =Pi(t-1)*q(xi(t));
end

end

